> For the complete documentation index, see [llms.txt](https://docs.projetly.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projetly.ai/home/api-reference/filters.md).

# Filters

## GET /api/filters/filter/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/filters/filter/":{"get":{"operationId":"filters_filter_retrieve","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","tags":["Filters"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/filters/filter/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/filters/filter/":{"post":{"operationId":"filters_filter_create","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","tags":["Filters"],"responses":{"201":{"description":"No response body"}}}}}}
```

## GET /api/filters/filter/{id}/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/filters/filter/{id}/":{"get":{"operationId":"filters_filter_retrieve_2","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Filters"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/filters/filter/{id}/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/filters/filter/{id}/":{"put":{"operationId":"filters_filter_update","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Filters"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/filters/filter/{id}/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/filters/filter/{id}/":{"delete":{"operationId":"filters_filter_destroy","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Filters"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/filters/filter/attributes/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/filters/filter/attributes/":{"get":{"operationId":"filters_filter_attributes_retrieve","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","tags":["Filters"],"responses":{"200":{"description":"No response body"}}}}}}
```
